package com.starbuds.server.service.media.agora.constant;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/31
 */
public class AgoraCloudRecordEventType {
    /**
     * 云端录制服务发生错误
     */
    public static final int CLOUD_RECORDING_ERROR = 1;

    /**
     * 云端录制服务发生警告
     */
    public static final int CLOUD_RECORDING_WARNING = 2;

    /**
     * 云端录制服务状态发生变化
     */
    public static final int CLOUD_RECORDING_STATUS_UPDATE = 3;

    /**
     * 生成录制索引文件
     */
    public static final int CLOUD_RECORDING_FILE_INFOS = 4;

    /**
     * 云端录制服务结束任务并退出
     */
    public static final int SESSION_EXIT = 11;

    /**
     * 上传服务已启动
     */
    public static final int UPLOADER_STARTED = 30;

    /**
     * 所有录制文件已上传至指定的第三方云存储
     */
    public static final int UPLOADED = 31;

    /**
     * 所有录制文件已经全部上传完成，但至少有一片上传到 Agora 备份云
     */
    public static final int BACKUPED = 32;

    /**
     * 录制文件上传到第三方云存储的进度
     */
    public static final int UPLOADING_PROGRESS = 33;

    /**
     * 录制服务已启动
     */
    public static final int RECORDER_STARTED = 40;

    /**
     * 录制服务已退出
     */
    public static final int RECORDER_LEAVE = 41;

    /**
     * 同步录制文件信息
     */
    public static final int RECORDER_SLICE_START = 42;

    /**
     * 音频流状态变化
     */
    public static final int RECORDER_AUDIO_STREAM_STATE_CHANGED = 43;

    /**
     * 视频流状态变化
     */
    public static final int RECORDER_VIDEO_STREAM_STATE_CHANGED = 44;
}
