package com.starbuds.server.service.media.agora.entity;

import lombok.Data;

import java.io.Serializable;

/**
 * 声网异步通知
 *
 * @author Lay
 * @date 2020/3/31
 */
@Data
public class AgoraNotify<T> implements Serializable {
    /**
     * 通知 ID，标识来自业务服务器的一次事件通知。
     */
    private String noticeId;

    /**
     * 业务 ID:
     * 1：Real-Time Communication（实时通信）
     * 2：Push Stream to CDN 3.0（推流到 CDN）
     * 3：Cloud Recording and Extension Service（云端录制及扩展服务）
     */
    private Integer productId;

    /**
     * 通知的事件类型：
     * 如果你使用实时通信业务，请参考实时通信事件类型。
     * 如果你使用推流到 CDN 业务，请参考推流到 CDN 事件类型。
     * 如果你使用云端录制及扩展服务，请参考云端录制事件类型。
     */
    private Integer eventType;

    /**
     * 消息通知服务器向你的服务发出回调请求的 Unix 时间戳，单位为毫秒。
     * Note：通知重试时会更新该时间。
     */
    private Long notifyMs;

    /**
     * 事件内容：
     * 如果你使用实时通信业务，请参考实时通信 payload 字段。
     * 如果你使用推流到 CDN 业务，请参考推流到 CDN payload 字段。
     * 如果你使用云端录制及扩展服务，请参考云端录制 payload 字段。
     */
    private T payload;
}
