package com.starbuds.server.service.media.agora.entity;

import lombok.Data;

import java.io.Serializable;

/**
 * 实时通信业务
 *
 * @author Lay
 * @date 2020/3/31
 */
@Data
public class AgoraNotifyPayloadRealTime implements Serializable {
    /**
     * 频道名
     */
    private String channelName;

    /**
     * 该事件发生的 Unix 时间戳，单位为秒
     */
    private Integer ts;

    /**
     * 用户使用的 UID
     */
    private Integer uid;

    /**
     * 用户使用的设备类型：
     * 1：Android
     * 2：iOS
     * 5：Windows
     * 6：Linux
     * 7：Web
     * 8：macOS
     * 0：其他平台
     */
    private Integer platform;

    /**
     * 用户离开频道的原因：
     * 1：正常离开频道。
     * 2：连接超时，判断标准为 SD-RTN 超过 10 秒未收到用户的任何数据包。
     * 3：权限原因。比如如被运营人员通过踢人 RESTful API 踢出频道。
     * 4：服务端原因。比如服务端做负载调整，和用户短暂断开连接，一般 SDK 会自动重连。
     * 5：连接切换原因。比如用户换新设备登录频道，迫使旧设备离开频道。
     * 0：其他原因。
     */
    private Integer reason;
}
