package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.user.UserPeipeiDO;
import com.starbuds.server.common.pojo.user.UserMatchResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/11/16 14:24
 * @Description 家族技能
 */
@Mapper
@Repository
public interface FamilySkillDAO {

    /**
     * 获取用户id
     *
     * @param userSex
     * @param excludedUserIds
     * @param matchNum
     * @return
     */
    List<Long> selectUserIds(@Param("userSex") Integer userSex, @Param("excludedUserIds") List<Long> excludedUserIds, @Param("matchNum") int matchNum);

    /**
     * 接通率匹配用户
     *
     * @param userSex
     * @param excludedUserIds
     * @param matchNum
     * @return
     */
    List<Long> selectUserIdsByConnectRate(@Param("userSex") Integer userSex, @Param("excludedUserIds") List<Long> excludedUserIds, @Param("matchNum") int matchNum);

    /**
     * 接活跃度匹配用户
     *
     * @param userSex
     * @param excludedUserIds
     * @param matchNum
     * @return
     */
    List<Long> selectUserIdsByActive(@Param("userSex") Integer userSex, @Param("excludedUserIds") List<Long> excludedUserIds, @Param("matchNum") int matchNum);

    /**
     * 获取用户头像
     *
     * @param userSex
     * @param voiceChatStatus
     * @param excludedUserIds
     * @return
     */
    List<UserMatchResponse> selectUserAvatar(@Param("userSex") Integer userSex, @Param("voiceChatStatus") Integer voiceChatStatus, @Param("excludedUserIds") List<Long> excludedUserIds);

    /**
     * 获取所有陪陪
     *
     * @param userSex 0:未知; 1:男; 2:女
     * @return
     */
    List<UserPeipeiDO> selectAllPeipei(@Param("userSex") Integer userSex);
}
