package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.db.GameGroupDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 游戏分组 Mapper
 */
@Mapper
@Repository
public interface GameGroupDAO {

    /**
     * 插入数据
     */
    int insert(GameGroupDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<GameGroupDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(GameGroupDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    GameGroupDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    List<GameGroupDO> selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<GameGroupDO> selectPageList(QueryWrapper qw);

}