package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.db.GameInfoDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 游戏信息 Mapper
 */
@Mapper
@Repository
public interface GameInfoDAO {

    /**
     * 插入数据
     */
    int insert(GameInfoDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<GameInfoDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(GameInfoDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    GameInfoDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    List<GameInfoDO> selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<GameInfoDO> selectPageList(QueryWrapper qw);

}