package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.db.LiveBattleAnchorDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/4/20
 */
@Mapper
@Repository
public interface LiveBattleAnchorDAO {
    /**
     * 创建记录
     *
     * @param liveBattleAnchorDO
     * @return
     */
    int insert(LiveBattleAnchorDO liveBattleAnchorDO);

    /**
     * 批量创建
     *
     * @param list
     * @return
     */
    int batchInsert(List<LiveBattleAnchorDO> list);

    /**
     * 更新 PK 结果
     *
     * @param battleId
     * @param userId
     * @param battleScore
     * @param battleResult
     * @return
     */
    int updateResult(@Param("battleId") String battleId, @Param("userId") Long userId, @Param("battleScore") Long battleScore, @Param("battleResult") Integer battleResult);
}
