package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.db.LiveBattleDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/4/20
 */
@Mapper
@Repository
public interface LiveBattleDAO {
    /**
     * 创建记录
     *
     * @param liveBattleDO
     * @return
     */
    int insert(LiveBattleDO liveBattleDO);

    /**
     * 更新 PK 状态
     *
     * @param battleId
     * @param battleStatus
     * @param whereBattleStatus
     * @return
     */
    int updateBattleStatus(@Param("battleId") String battleId, @Param("battleStatus") Integer battleStatus, @Param("whereBattleStatus") Integer whereBattleStatus);

    /**
     * 根据 id 查询状态
     *
     * @param battleId
     * @return
     */
    Integer selectStatus(@Param("battleId") String battleId);

    /**
     * 根据 id 查询
     *
     * @param battleId
     * @return
     */
    LiveBattleDO selectById(@Param("battleId") String battleId);

    /**
     * 更新决策时间
     *
     * @param battleId
     * @param decideTime
     * @return
     */
    int updateDecideTime(@Param("battleId") String battleId, @Param("decideTime") Long decideTime);

    /**
     * 更新开始时间
     *
     * @param battleId
     * @param startTime
     * @return
     */
    int updateStartTime(@Param("battleId") String battleId, @Param("startTime") Long startTime);

    /**
     * 查询主播最后 PK 记录
     *
     * @param userId
     * @param battleStatus
     * @return
     */
    LiveBattleDO selectLatestByUserId(@Param("userId") Long userId, @Param("battleStatus") Integer battleStatus);

    /**
     * 更新 PK 结果
     *
     * @param battleId
     * @param battleResult
     * @param settleTime
     * @return
     */
    int updateBattleResult(@Param("battleId") String battleId, @Param("battleResult") int battleResult, @Param("settleTime") Long settleTime);

    /**
     * 更新 PK 结束时间
     *
     * @param battleId
     * @param battleStatus
     * @param overTime
     * @return
     */
    int updateBattleOver(@Param("battleId") String battleId, @Param("battleStatus") Integer battleStatus, @Param("overTime") Long overTime);
}
