package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.db.LiveStayHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/5
 */
@Mapper
@Repository
public interface LiveStayHisDAO {
    /**
     * 创建记录
     *
     * @param liveStayHisDO
     * @return
     */
    int insert(LiveStayHisDO liveStayHisDO);

    /**
     * 更新记录
     *
     * @param liveStayHisDO
     * @return
     */
    int update(LiveStayHisDO liveStayHisDO);

    /**
     * 查询最新记录
     *
     * @param userId
     * @param anchorUserId
     * @return
     */
    LiveStayHisDO selectLast(@Param("userId") Long userId, @Param("anchorUserId") Long anchorUserId);
}
