package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.db.LiveStreamHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/23
 */
@Mapper
@Repository
public interface LiveStreamHisDAO {
    /**
     * 创建推流记录
     *
     * @param liveStreamHisDO
     * @return
     */
    int insert(LiveStreamHisDO liveStreamHisDO);

    /**
     * 更新推流记录
     *
     * @param liveStreamHisDO
     * @return
     */
    int update(LiveStreamHisDO liveStreamHisDO);

    /**
     * 根据直播记录 id 查询
     *
     * @param liveHisId
     * @return
     */
    List<LiveStreamHisDO> selectByLiveHisId(@Param("liveHisId") Long liveHisId);

    /**
     * 根据 id 查询
     *
     * @param hisId
     * @return
     */
    LiveStreamHisDO selectById(@Param("hisId") Long hisId);

    /**
     * 查询直播的最后一个推流 id
     *
     * @param liveHisId
     * @return
     */
    Long selectLastIdByLiveHisId(@Param("liveHisId") Long liveHisId);

    /**
     * 更新回放地址
     *
     * @param liveHisId
     * @param hisVodUrl
     * @return
     */
    int updateVodUrl(@Param("liveHisId") Long liveHisId, @Param("hisVodUrl") String hisVodUrl);
}
