package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.db.LiveUserJoinHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/2/7
 */
@Mapper
@Repository
public interface LiveUserJoinHisDAO {
    /**
     * 创建记录
     *
     * @param liveUserJoinHisDO
     * @return
     */
    int insert(LiveUserJoinHisDO liveUserJoinHisDO);

    /**
     * 根据类型和时间统计
     *
     * @param userId
     * @param anchorUserId
     * @param joinType
     * @param beginTime
     * @param endTime
     * @return
     */
    int countByTypeWithTime(@Param("userId") Long userId, @Param("anchorUserId") Long anchorUserId, @Param("joinType") Integer joinType, @Param("beginTime") long beginTime, @Param("endTime") long endTime);

    /**
     * 查询最新记录
     *
     * @param userId
     * @param anchorUserId
     * @param joinType
     * @return
     */
    LiveUserJoinHisDO selectLast(@Param("userId") Long userId, @Param("anchorUserId") Long anchorUserId, @Param("joinType") Integer joinType);
}
