package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.db.SingleChatMatchHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/4/6
 */
@Mapper
@Repository
public interface SingleChatMatchHisDAO {
    /**
     * 创建记录
     *
     * @param singleChatMatchHis
     * @return
     */
    int insert(SingleChatMatchHisDO singleChatMatchHis);

    /**
     * 根据 id 查询
     *
     * @param matchId
     * @return
     */
    SingleChatMatchHisDO selectById(@Param("matchId") String matchId);

    /**
     * 更新单聊记录 id
     *
     * @param matchId
     * @param chatHisId
     * @return
     */
    int updateChatHisId(@Param("matchId") String matchId, @Param("chatHisId") String chatHisId);
}
