package com.starbuds.server.service.media.dao;

import com.starbuds.server.common.pojo.user.SingleChatUserVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/23
 */
@Mapper
@Repository
public interface SingleChatSuggestDAO {
    /**
     * 统计
     *
     * @param singleChatStatus
     * @param isOnline
     * @param channelId
     * @param singleChatCategories
     * @return
     */
    int count(@Param("singleChatStatus") Integer singleChatStatus,
              @Param("isOnline") Integer isOnline,
              @Param("channelId") Long channelId,
              @Param("singleChatCategories") String singleChatCategories);

    /**
     * 查询所有
     *
     * @param pageCursor
     * @param pageSize
     * @param singleChatStatus
     * @param channelId
     * @param singleChatCategories
     * @return
     */
    List<SingleChatUserVO> selectAll(@Param("pageCursor") int pageCursor,
                                     @Param("pageSize") int pageSize,
                                     @Param("singleChatStatus") Integer singleChatStatus,
                                     @Param("isOnline") Integer isOnline,
                                     @Param("channelId") Long channelId,
                                     @Param("singleChatCategories") String singleChatCategories);
}
