package com.starbuds.server.service.media.impl;

import com.starbuds.server.common.pojo.db.GameGroupDO;
import com.starbuds.server.common.pojo.media.GameGroupVO;
import com.starbuds.server.common.service.media.GameGroupService;
import com.starbuds.server.service.media.provider.GameGroupProvider;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @author aoe
 * @date 2020/11/12
 */
@Service(version = "1.0.0")
@Slf4j
public class GameGroupServiceImpl implements GameGroupService {

    @Resource
    private GameGroupProvider gameGroupProvider;

    /**
     * 获得所有游戏分组
     *
     * @return
     */
    @Override
    public List<GameGroupVO> getAllGroups() {
        List<GameGroupDO> list = gameGroupProvider.getAllList();
        List<GameGroupVO> result = new ArrayList<>(list.size());
        for (GameGroupDO po : list) {
            GameGroupVO vo = new GameGroupVO();
            String id = "" + po.getGameGroupId();
            vo.setRoomName(po.getName());
            vo.setRoomCode(id);
            vo.setLogo(po.getIcon());
            vo.setPlatform(id);
            result.add(vo);
        }
        return result;
    }
}
