package com.starbuds.server.service.media.impl;

import com.starbuds.server.common.constant.common.BoolIntVal;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.db.GameInfoDO;
import com.starbuds.server.common.service.media.GameInfoService;
import com.starbuds.server.service.media.provider.GameInfoProvider;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author aoe
 * @date 2020/11/13
 */
@Service(version = "1.0.0")
@Slf4j
public class GameInfoServiceImpl implements GameInfoService {

    @Resource
    private GameInfoProvider gameInfoProvider;

    /**
     * 批量插入数据
     *
     * @param list
     */
    @Override
    public boolean createBatch(List<GameInfoDO> list) {
        return gameInfoProvider.createBatch(list);
    }

    /**
     * 根据游戏分组id获得游戏列表
     *
     * @param groupId
     * @return
     */
    @Override
    public List<GameInfoDO> getListByGroupId(Long groupId) {
        QueryWrapper qw = new QueryWrapper();
        qw.eq("gameGroupId", groupId);
        return gameInfoProvider.getList(qw);
    }

    /**
     * 获得热门游戏列表
     *
     * @return
     */
    @Override
    public List<GameInfoDO> getHotGames() {
        QueryWrapper qw = new QueryWrapper();
        qw.eq("isHot", BoolIntVal.True);
        return gameInfoProvider.getList(qw);
    }
}
