package com.starbuds.server.service.media.pojo.qo;

import lombok.Data;
import com.starbuds.server.common.annotation.query.QueryTag;


import java.io.Serializable;

/**
 * 游戏分组
 */
@Data
public class GameGroupPageListQO extends PageQO implements Serializable {

    /**
     * 游戏分组id
     */
    @QueryTag
    private Long gameGroupId;

    /**
     * 分类名称
     */
    @QueryTag
    private String name;

    /**
     * 图标
     */
    @QueryTag
    private String icon;

    /**
     * 排序
     */
    @QueryTag
    private Integer sort;

    /**
     * 状态
     */
    @QueryTag
    private Integer status;

    /**
     * 备注
     */
    @QueryTag
    private String remarks;

    /**
     * 创建时间
     */
    @QueryTag
    private Long createTime;

    /**
     * 更新时间
     */
    @QueryTag
    private Long updateTime;

    /**
     * 开始时间
     */
    @QueryTag(column = "createTime", condition = ">=")
    private Long startTime;

    /**
     * 结束时间
     */
    @QueryTag(column = "createTime", condition = "<=")
    private Long endTime;
}