package com.starbuds.server.service.media.pojo.qo;

import lombok.Data;
import com.starbuds.server.common.annotation.query.QueryTag;


import java.io.Serializable;

/**
 * 游戏信息
 */
@Data
public class GameInfoPageListQO extends PageQO implements Serializable {

    /**
     *
     */
    @QueryTag
    private Long gameInfoId;

    /**
     * 游戏名称
     */
    @QueryTag
    private String name;

    /**
     * 是否横屏，1为横屏，0为竖屏
     */
    @QueryTag
    private Integer isHorizontal;

    /**
     * 游戏图标
     */
    @QueryTag
    private String icon;

    /**
     * 游戏平台
     */
    @QueryTag
    private String platform;

    /**
     * 游戏编码
     */
    @QueryTag
    private String gameCode;

    /**
     * 平台类型
     */
    @QueryTag
    private String deviceType;

    /**
     * 游戏分组id 0:默认分组
     */
    @QueryTag
    private Long gameGroupId;

    /**
     * 是否热门游戏
     */
    @QueryTag
    private Integer isHot;

    /**
     * 排序
     */
    @QueryTag
    private Integer sort;

    /**
     * 状态
     */
    @QueryTag
    private Integer status;

    /**
     * 备注
     */
    @QueryTag
    private String remarks;

    /**
     * 创建时间
     */
    @QueryTag
    private Long createTime;

    /**
     * 更新时间
     */
    @QueryTag
    private Long updateTime;

    /**
     * 开始时间
     */
    @QueryTag(column = "createTime", condition = ">=")
    private Long startTime;

    /**
     * 结束时间
     */
    @QueryTag(column = "createTime", condition = "<=")
    private Long endTime;
}