package com.starbuds.server.service.media.provider;

import com.starbuds.server.common.constant.rtc.RtcProviderEnum;
import com.starbuds.server.common.service.data.ReleaseConfigService;
import com.starbuds.server.common.service.media.ProviderInterface;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Slf4j
@Component
public class ProviderBuilder {

    private Map<String, ProviderInterface> map = new HashMap();

    public void regist(RtcProviderEnum rtcProviderEnum, ProviderInterface providerInterface) {
        map.put(rtcProviderEnum.getDesc(), providerInterface);
    }

    @Reference(version = "1.0.0")
    private ReleaseConfigService releaseConfigService;


    /**
     * RTC切换
     *
     * @param appVer APP版本号
     * @return
     */
    public ProviderInterface provider(String appVer) {
        //版本号切换
        if (StringUtils.isEmpty(appVer)) {
            appVer = "1.8.0";
        }
        int ver = Integer.parseInt(StringUtils.replace(appVer, ".", ""));
        if (ver < 200) {
            return map.get(RtcProviderEnum.AGORA.getDesc());
        } else {
            return map.get(RtcProviderEnum.ZEGO.getDesc());
        }

        //数据库切换
        //return map.get(releaseConfigService.getReleaseConfig("rtc_provider"));

    }

}
