package com.starbuds.server.service.media.zego;

import com.alibaba.fastjson.JSONObject;
import com.starbuds.server.common.service.data.ReleaseConfigService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/***
 * @author qinjiang
 * @description 即构配置
 * @date 2021/9/13
 */
@Component
public class ZegoConfig {

    @Resource
    ReleaseConfigService releaseConfigService;

    private JSONObject getConfig() {
        return JSONObject.parseObject(releaseConfigService.getReleaseConfig("zego"));
    }

    public Long appId() {
        return getConfig().getLong("appId");
    }

    public String appSign() {
        return getConfig().getString("appSign");
    }

    public String serverSecret() {
        return getConfig().getString("serverSecret");
    }

    public String callbackSecret() {
        return getConfig().getString("callbackSecret");
    }

    public String baseURL() {
        return getConfig().getString("baseUrl");
    }

    public String isTest() {
        return getConfig().getBoolean("isTest").booleanValue() ? "true" : "false";
    }
}